jQuery(document).ready(function($){

	// only first time
	var isFirst = true;
	if(isFirst){  

		//console.log('first_time');
		payment_type = $('#woocommerce_besteron_payment_type').val();
        if (payment_type === 'redirect') {
            $('#woocommerce_besteron_enabled_card').parents().eq(3).show();
			$('#woocommerce_besteron_enabled_bank_buttons').parents().eq(3).show();
			// bank buttons
        	if ($('#woocommerce_besteron_enabled_bank_buttons').is(':checked')) {
				$('#woocommerce_besteron_allowed_banks').parents().eq(2).show();
			} else {
				$('#woocommerce_besteron_allowed_banks').parents().eq(2).hide();
			}
            $('#woocommerce_besteron_allowed_banks').parents().eq(2).show();

			$('#woocommerce_besteron_inline_payment_type').parents().eq(2).hide();
            $('#woocommerce_besteron_inline_payment_cid_key').parents().eq(2).hide();			
        } else if (payment_type === 'inline') {        
            $('#woocommerce_besteron_enabled_card').parents().eq(3).hide();
			$('#woocommerce_besteron_enabled_bank_buttons').parents().eq(3).hide();
            $('#woocommerce_besteron_allowed_banks').parents().eq(2).hide();
            $('#woocommerce_besteron_inline_payment_type').parents().eq(2).show();
            $('#woocommerce_besteron_inline_payment_cid_key').parents().eq(2).show();			
        }

		// sk banks support
        if ($('#woocommerce_besteron_support_sk').is(':checked')) {
            $('#woocommerce_besteron_besteron_cid').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_key').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_api').parents().eq(2).show();
        } else {        
            $('#woocommerce_besteron_besteron_cid').parents().eq(2).hide();
            $('#woocommerce_besteron_besteron_key').parents().eq(2).hide();
            $('#woocommerce_besteron_besteron_api').parents().eq(2).hide();
        }
	
		// cz banks support
        if ($('#woocommerce_besteron_support_cz').is(':checked')) {
            $('#woocommerce_besteron_besteron_cid_cz').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_key_cz').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_api_cz').parents().eq(2).show();
            

        } else {        
            $('#woocommerce_besteron_besteron_cid_cz').parents().eq(2).hide();
            $('#woocommerce_besteron_besteron_key_cz').parents().eq(2).hide();
            $('#woocommerce_besteron_besteron_api_cz').parents().eq(2).hide();
        }
	
		// multicurrency
        if ($('#woocommerce_besteron_multi_curr').is(':checked')) {
            $('#woocommerce_besteron_allowed_curr').parents().eq(2).show();
        } else {        
            $('#woocommerce_besteron_allowed_curr').parents().eq(2).hide();
        }
	
		isFirst=false;
	}

	// paument settings
    $('#woocommerce_besteron_payment_type').change(function() {
        //console.log('paymet_change');
        if (this.value === 'redirect') {
            //console.log('paymet_redirect');
            $('#woocommerce_besteron_allowed_banks').parents().eq(2).show();
            $('#woocommerce_besteron_enabled_card').parents().eq(3).show();
			$('#woocommerce_besteron_enabled_bank_buttons').parents().eq(3).show();
			$('#woocommerce_besteron_inline_payment_type').parents().eq(2).hide();
            $('#woocommerce_besteron_inline_payment_cid_key').parents().eq(2).hide();			
        } else if (this.value === 'inline') {
            //console.log('paymet_inline');
            $('#woocommerce_besteron_allowed_banks').parents().eq(2).hide();
            $('#woocommerce_besteron_enabled_card').parents().eq(3).hide();
			$('#woocommerce_besteron_enabled_bank_buttons').parents().eq(3).hide();
            $('#woocommerce_besteron_inline_payment_type').parents().eq(2).show();
            $('#woocommerce_besteron_inline_payment_cid_key').parents().eq(2).show();			
        }
    });

	// sk banks support
    $('#woocommerce_besteron_support_sk').change(function() {
        if ($(this).is(':checked')) {
            $('#woocommerce_besteron_besteron_cid').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_key').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_api').parents().eq(2).show();
        } else {
			// must be checket one of
			if ($('#woocommerce_besteron_support_cz').not(':checked')) {
				// echeck cz
				$('#woocommerce_besteron_support_cz').prop('checked', true);
				// show cz
	            $('#woocommerce_besteron_besteron_cid_cz').parents().eq(2).show();
    	        $('#woocommerce_besteron_besteron_key_cz').parents().eq(2).show();
                 $('#woocommerce_besteron_besteron_api_cz').parents().eq(2).show();
            
				// hide sk
	            $('#woocommerce_besteron_besteron_cid').parents().eq(2).hide();
    	        $('#woocommerce_besteron_besteron_key').parents().eq(2).hide();
			}
        }
    });

	// cz banks support
    $('#woocommerce_besteron_support_cz').change(function() {
        if ($(this).is(':checked')) {
            $('#woocommerce_besteron_besteron_cid_cz').parents().eq(2).show();
            $('#woocommerce_besteron_besteron_key_cz').parents().eq(2).show();
             $('#woocommerce_besteron_besteron_api_cz').parents().eq(2).show();
            
        } else {
			// must be checket one of
			if ($('#woocommerce_besteron_support_sk').not(':checked')) {
				// echeck sk
				$('#woocommerce_besteron_support_sk').prop('checked', true);
				// show sk
	            $('#woocommerce_besteron_besteron_cid').parents().eq(2).show();
    	        $('#woocommerce_besteron_besteron_key').parents().eq(2).show();
                $('#woocommerce_besteron_besteron_api').parents().eq(2).show();
				// hide cz
	            $('#woocommerce_besteron_besteron_cid_cz').parents().eq(2).hide();
    	        $('#woocommerce_besteron_besteron_key_cz').parents().eq(2).hide();
                 $('#woocommerce_besteron_besteron_api_cz').parents().eq(2).hide();
            
	        }
        }
    });

	// multicurrency
    $('#woocommerce_besteron_multi_curr').change(function() {
        if ($(this).is(':checked')) {
            $('#woocommerce_besteron_allowed_curr').parents().eq(2).show();
        } else {
   	        $('#woocommerce_besteron_allowed_curr').parents().eq(2).hide();
        }
    });

	// bank buttons
    $('#woocommerce_besteron_enabled_bank_buttons').change(function() {
        if ($(this).is(':checked')) {
            $('#woocommerce_besteron_allowed_banks').parents().eq(2).show();
        } else {
   	        $('#woocommerce_besteron_allowed_banks').parents().eq(2).hide();
        }
    });

});